## com.ibm.lab.soln.editor.ui.wizards
Class NewMiniSpreadsheetWizard

    java.lang.Object
      |
      +--org.eclipse.jface.wizard.Wizard
            |
            +--com.ibm.lab.soln.editor.ui.wizards.NewMiniSpreadsheetWizard

All Implemented Interfaces:
  org.eclipse.ui.INewWizard, org.eclipse.jface.wizard.IWizard, org.eclipse.ui.IWorkbenchWizard

public class NewMiniSpreadsheetWizard
extends org.eclipse.jface.wizard.Wizard
implements org.eclipse.ui.INewWizard

Specialization of the new file creation processing that adds fields to initialize the number of rows and columns in the new mini-spreadsheet.

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`NewMiniSpreadsheetWizard()` Constructor for NewMiniSpreadsheetWizard.

Method Summary
`void` | `addPages()`
`void` | `init(org.eclipse.ui.IWorkbench workbench, org.eclipse.jface.viewers.IStructuredSelection selection)`
`boolean` | `performFinish()`

Methods inherited from class org.eclipse.jface.wizard.Wizard
`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### NewMiniSpreadsheetWizard

    public NewMiniSpreadsheetWizard()

  Constructor for NewMiniSpreadsheetWizard.

Method Detail

### addPages

    public void addPages()

  Specified by:
    `addPages` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `addPages` in class `org.eclipse.jface.wizard.Wizard`
  See Also:
    `IWizard.addPages()`

### init

    public void init(org.eclipse.ui.IWorkbench workbench,
                     org.eclipse.jface.viewers.IStructuredSelection selection)

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchWizard`
  See Also:
    `IWorkbenchWizard.init(IWorkbench, IStructuredSelection)`

### performFinish

    public boolean performFinish()

  Specified by:
    `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Specified by:
    `performFinish` in class `org.eclipse.jface.wizard.Wizard`
  See Also:
    `IWizard.performFinish()`